AI エージェント向け: ドキュメントインデックスは https://www.mongodb.com/ja-jp/docs/llms.txt で利用できます。すべてのページの markdown バージョンは、いずれかの URL パスに .md を追加することで利用できます。
Docs Menu

1 つのクラスターのすべてのスナップショットを取得

ベース URL: https://cloud.mongodb.com/api/public/v1.0

GET /groups/{PROJECT-ID}/clusters/{CLUSTER-ID}/snapshots
名前
タイプ
説明

プロジェクトID

string

Unique identifier of the project that owns the snapshot.

CLUSTER-ID

string

スナップショットが表すクラスターの一意の識別子。

次のクエリ パラメータは 任意です。

名前
タイプ
必要性
説明
default

pageNum

数値

任意

結果のサブセクションを返す 1 から始まる整数。

1

itemsPerPage

数値

任意

1 ページあたりに返す項目の数は最大 500 です。

100

pretty

ブール値

任意

レスポンス本体を pretty-print形式にするかどうかを示すフラグ。

false

envelope

ブール値

任意

応答をエンベロープでラップするかどうかを示すフラグ。

Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope : true in the query.

結果のリストを返すエンドポイントの場合、 contentオブジェクトはエンベロープです。 Cloud Manager は、レスポンス本体にstatusフィールドを追加します。

false

backupJobsEnabledOnly

ブール値

任意

データベースのバックアップ用に有効になっていないデーモンを応答から除外するかどうかを示すフラグ。 これをfalseに設定し、 backupJobsEnabledフラグがfalseに設定されているデーモン構成を含めます。

true

このエンドポイントは、HTTP リクエスト本体パラメータを使用しません。

The response JSON document includes an array of result objects, an array of link objects and a count of the total number of result objects retrieved.

名前
タイプ
説明

results

配列

配列には、results 埋め込みドキュメント セクションに詳細な項目ごとに 1 つのオブジェクトが含まれます。

links

配列

配列には、サブリソースや関連リソースへの 1 つ以上のリンクが含まれます。 URL 間の関係は、 Web リンク仕様 で説明されています。

totalCount

数値

結果セット内の項目の合計数の整数。 結果セット全体がページ分割される場合は、 results配列内のオブジェクト数よりも大きくなる可能性があります。

結果は 1 つの同期ストアです。

Name
タイプ
説明

clusterId

string

スナップショットが表すクラスターの一意の識別子。

complete

ブール値

スナップショットが作成されたことを示すフラグ。 スナップショット作成ジョブがまだ進行中の場合、これはfalseです。

created

ドキュメント

Components of a timestamp.

created
.date

タイムスタンプ

スナップショットが作成されたときの iso 8601 -time。

created
.increment

integer

このスナップショットが正確な時点で実行された操作順序。 MongoDB でタイムスタンプの仕組みについては、「タイムスタンプ 」を参照してください。

doNotDelete

ブール値

スナップショットが削除できないことを示すフラグ。

expires

タイムスタンプ

Timestamp in ISO 8601 date and time format in UTC at UTC after which this snapshot can be deleted.

doNotDeletetrueに設定されている場合、 expiresのすべての値が削除されます。

expires値が現在の日時より前の場合、編集することはできません。

groupId

string

Unique identifier of the project that owns the snapshot.

id

string

isPossibly
Inconsistent

ブール値

このスナップショットの整合性を示すフラグ。 isPossiblyInconsistentはシャーディングされたクラスターのスナップショットにのみ表示されます。

To take a snapshot of a sharded cluster in a consistent state, the Backup temporarily turns off the balancer before creating the snapshot. In some cases, it cannot turn off the balancer in a timely manner. The snapshot is then created with the balancer still running.

こうした場合、スナップショットは一貫性のない状態になる可能性があります(たとえば、チャンクの移行が進行中である場合など)。

lastOplog
AppliedTimestamp

ドキュメント

最後の oplog エントリのタイムスタンプのコンポーネントが適用されました。

lastOplog
AppliedTimestamp
.date

タイムスタンプ

最後のoplogが適用されたときの ISO 8601の日付と時刻形式(UTC)のタイムスタンプ(UTC)。

lastOplog
AppliedTimestamp
.increment

integer

Operation order in which last oplog was applied at this exact point in time. MongoDB でタイムスタンプの仕組みについては、「タイムスタンプ 」を参照してください。

links

オブジェクト配列

サブリソースや関連リソースへの 1 つ以上のリンク。応答内のすべての links 配列には、self と呼ばれるリンクが少なくとも 1 つ含まれています。URLの関係は、Web リンク仕様で説明されています。

namespaceFilterList

オブジェクト

namespaceFilterList
.filterList

string 配列

スナップショットに排他的に含まれる、またはスナップショットから明示的に除外されるデータベースまたは名前空間の任意の組み合わせのコンマ区切りリスト。

デフォルト値は空の配列( [] )です。

namespaceFilterList
.filterType

string

このスナップショットで名前空間をフィルタリングする方法を決定するラベル。

  • この値がdenyListに設定されている場合、 namespaceFilterList.filterListの名前空間はスナップショットから除外されます。

  • この値がaccessListに設定されている場合、 namespaceFilterList.filterListの名前空間のみがスナップショットに含まれます。

デフォルト値は denyList です。

missingShards

オブジェクトの配列

スナップショットが欠落しているシャードのリスト。 missingShardsはシャーディングされたクラスターのスナップショットにのみ表示されます。

In steady state, this array is empty. If the Backup cannot connect to a shard when a snapshot is created, the shard is omitted from the snapshot. Each document in the array is a cluster document containing a self link.

missingShards
.id

string

missingShards
.groupId

string

missingShards
.typeName

string

欠落しているシャードが表すサーバーのタイプは次のとおりです。

  • CONFIG_SERVER_REPLICA_SET

  • REPLICA_SET

  • CONFIG_SHARD_REPLICA_SET

missingShards
.clusterName

string

missingShards
.shardName

string

欠落しているシャードの名前。

missingShards
.replicaSetName

string

missingShards
.lastHeartbeat

タイムスタンプ

欠落しているシャードから最後のハートビートが受信されたときの ISO 8601の日付と時刻形式(UTC)のタイムスタンプ(UTC)。

parts

オブジェクトの配列

完全なスナップショットを構成する個々の部分。

parts
.clusterId

string

Unique identifier of the replica set.

parts
.compressionSetting

string

parts
.dataSizeBytes

数値

スナップショット内のデータの合計サイズ(バイト単位)。

parts
.encryptionEnabled

ブール値

スナップショットデータの暗号化状態を示すインジケーター。

parts
.fileSizeBytes

数値

データファイルの合計サイズ(バイト単位)。

parts
.masterKeyUUID

string

KMIP master key ID used to encrypt the snapshot data. parts.masterKeyUUID appears only if this snapshot has parts.encryptionEnabled : true.

parts
.mongodVersion

string

Version of mongod that the replica set primary was running when the snapshot was created.

parts
.replicaSetName

string

Name of the replica set.

parts
.storageSizeBytes

数値

ドキュメント ストレージに割り当てられた領域の合計サイズ。

parts
.typeName

string

部分が表すサーバーのタイプ。

  • REPLICA_SET

  • CONFIG_SERVER_REPLICA_SET

  • CONFIG_SHARD_REPLICA_SET

curl --user "{PUBLIC-KEY}:{PRIVATE-KEY}" --digest \
--header "Accept: application/json" \
--include \
--request GET "https://cloud.mongodb.com/api/public/v1.0/groups/{PROJECT-ID}/clusters/{CLUSTER-ID}/snapshots?pretty=true"
HTTP/1.1 401 Unauthorized
Content-Type: application/json;charset=ISO-8859-1
Date: {dateInUnixFormat}
WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=false
Content-Length: {requestLengthInBytes}
Connection: keep-alive
HTTP/1.1 200 OK
Vary: Accept-Encoding
Content-Type: application/json
Strict-Transport-Security: max-age=300
Date: {dateInUnixFormat}
Connection: keep-alive
Content-Length: {requestLengthInBytes}
X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}
{
"links" : [ {
"href" : "https://cloud.mongodb.com/api/public/v1.0/groups/{PROJECT-ID}/clusters/{CLUSTER-ID}/snapshots?pretty=true&pageNum=1&itemsPerPage=100",
"rel" : "self"
} ],
"results" : [ {
"clusterId" : "{CLUSTER-ID}",
"complete" : true,
"created" : {
"date" : "2016-08-21T23:47:38Z",
"increment" : 1
},
"doNotDelete" : false,
"expires" : "2017-08-20T23:47:38Z",
"groupId" : "{PROJECT-ID}",
"id" : "{SNAPSHOT-ID}",
"links" : [ {
"href" : "https://cloud.mongodb.com/api/public/v1.0/groups/{PROJECT-ID}/clusters/{CLUSTER-ID}/snapshots/{SNAPSHOT-ID}",
"rel" : "self"
} ],
"namespaceFilterList" : {
"filterList" : [ ],
"filterType" : "denyList"
},
"parts" : [ {
"clusterId" : "{CLUSTER-ID}",
"compressionSetting" : "GZIP",
"dataSizeBytes" : 503779557,
"encryptionEnabled" : false,
"fileSizeBytes" : 2855605344,
"mongodVersion" : "4.0.9",
"replicaSetName" : "proton",
"storageSizeBytes" : 547516416,
"typeName" : "REPLICA_SET"
} ]
}, {
} ],
"totalCount" : 28
}